View Issue Details

IDProjectCategoryView StatusLast Update
0000440WackoWikicorepublic2017-08-31 09:36
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version5.1.0 
Target Version5.5.0Fixed in Version5.5.0 
Summary0000440: wrap status messages with div class="hint|success|warning"
Descriptioncss, handlers, actions
multiple messages if possible as list

use own function? – show_message($message, $type)
echo '<div class="'.$type.'">'.$message.'</div>';
see also set_message function

options: only wrap with div OR also echo
Steps To Reproducein themes header

// here we show messages
if ($message = $this->get_message())
{
    echo "<div class=\"info\">$message</div>";
}
Additional Informationfunctions:
set_message()
get_message()
output_messages()
show_message()


icon_hint.png
icon_success.png
icon_warning.png
TagsNo tags attached.

Relationships

related to 0000174 resolvedadministrator System message 

Issue History

Date Modified Username Field Change
2014-03-22 07:54 administrator New Issue
2014-03-22 07:54 administrator Status new => assigned
2014-03-22 07:54 administrator Assigned To => administrator
2014-03-22 07:54 administrator Summary wrap system messages wich div class="info|notice|warning|error" => wrap system messages with div class="info|notice|warning|error"
2014-03-22 07:55 administrator Summary wrap system messages with div class="info|notice|warning|error" => wrap status messages with div class="info|notice|warning|error"
2014-03-22 07:57 administrator Additional Information Updated View Revisions
2014-03-22 08:01 administrator Summary wrap status messages with div class="info|notice|warning|error" => wrap status messages with div class="hint|success|warning"
2014-03-22 08:15 administrator Steps to Reproduce Updated View Revisions
2014-03-23 10:30 administrator Additional Information Updated View Revisions
2014-03-24 08:33 administrator Relationship added related to 0000174
2014-03-30 14:53 administrator Note Added: 0000919
2014-04-18 07:56 administrator Target Version 5.4.0 => 5.6.x
2015-02-19 19:19 administrator Target Version 5.6.x => 5.5.0
2015-05-28 14:20 administrator Status assigned => resolved
2015-05-28 14:20 administrator Resolution open => fixed
2015-05-28 14:20 administrator Fixed in Version => 5.5.0
2015-05-28 14:20 administrator Additional Information Updated View Revisions
2015-05-28 14:21 administrator Note Edited: 0000919 View Revisions
2016-09-21 09:18 administrator Fixed in Version 5.5.0 => 5.5.rc2
2017-08-31 09:36 administrator Fixed in Version 5.5.rc2 => 5.5.0